org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class ResourceDependencyFoundEvent

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.DependencyFoundEvent<URI>
  - - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceDependencyFoundEvent

    public class ResourceDependencyFoundEvent
    extends DependencyFoundEvent<URI>

An event indicating that a resource dependency is found.

### Constructor Summary

Constructors
Constructor and Description
`ResourceDependencyFoundEvent(URI from, URI to, EObject parent, EStructuralFeature feature)` Constructor.

### Method Summary

All Methods Static Methods Concrete Methods
`static URI` `getUri(EObject eObject)` Returns the URI of the given `eObject`.

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.resolver.DependencyFoundEvent

`equals, getFrom, getParent, getTo, hashCode, hasParent`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceDependencyFoundEvent

    public ResourceDependencyFoundEvent(URI from,
                                        URI to,
                                        EObject parent,
                                        EStructuralFeature feature)

Constructor.

Parameters:
  `from` - The source of the dependency
  `to` - The target of the dependency
  `parent` - The object in the source causing the dependency
  `feature` - The feature through which the parent causes the dependency

### Method Detail

#### getUri

    public static URI getUri(EObject eObject)

Returns the URI of the given `eObject`.

Parameters:
  `eObject` - The object to get the URI of
Returns:
  The URI of the given `eObject`